FromImplementor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria
Interface FromImplementor<Z,X>

All Superinterfaces:
  Expression<X>, ExpressionImplementor<X>, FetchParent<Z,X>, From<Z,X>, Path<X>, PathImplementor<X>, PathSource<X>, Renderable, Selection<X>, SelectionImplementor<X>, TupleElement<X>, TupleElementImplementor<X>

All Known Subinterfaces:
  CollectionJoinImplementor<Z,X>, JoinImplementor<Z,X>, ListJoinImplementor<Z,X>, MapJoinImplementor<Z,K,V>, SetJoinImplementor<Z,X>

All Known Implementing Classes:
  AbstractFromImpl, AbstractJoinImpl, CollectionAttributeJoin, ListAttributeJoin, MapAttributeJoin, PluralAttributeJoinSupport, RootImpl, SetAttributeJoin, SingularAttributeJoin

    public interface FromImplementor<Z,X>

extends PathImplementor<X>, From<Z,X>

Implementation contract for the JPA `From` interface.

Method Summary
`FromImplementor<Z,X>` | `correlateTo(CriteriaSubqueryImpl subquery)`
`FromImplementor<Z,X>` | `getCorrelationParent()`
`void` | `prepareAlias(CriteriaQueryCompiler.RenderingContext renderingContext)`
`void` | `prepareCorrelationDelegate(FromImplementor<Z,X> parent)`
`String` | `renderTableExpression(CriteriaQueryCompiler.RenderingContext renderingContext)`

Methods inherited from interface org.hibernate.ejb.criteria.PathImplementor
`getAttribute`

Methods inherited from interface org.hibernate.ejb.criteria.ExpressionImplementor
`asBigDecimal, asBigInteger, asDouble, asFloat, asInteger, asLong, asString`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.PathSource
`getPathIdentifier`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getModel, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.From
`getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### prepareAlias

    void prepareAlias(CriteriaQueryCompiler.RenderingContext renderingContext)

  Specified by:
    `prepareAlias` in interface `PathSource<X>`

### renderTableExpression

    String renderTableExpression(CriteriaQueryCompiler.RenderingContext renderingContext)

### correlateTo

    FromImplementor<Z,X> correlateTo(CriteriaSubqueryImpl subquery)

### prepareCorrelationDelegate

    void prepareCorrelationDelegate(FromImplementor<Z,X> parent)

### getCorrelationParent

    FromImplementor<Z,X> getCorrelationParent()

  Specified by:
    `getCorrelationParent` in interface `From<Z,X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.